/*
 * Copyright 2011 Timothy Sparg
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.kilnhg.timsparg.juniorkilnclient;

/**
 *
 * @author Tim Sparg 
 */
public enum KilnResource {

    AUTH_LOGIN("/Auth/Login"),
    PROJECT_CREATE("/Project/Create"),
    PROJECT_GET("/Project/{ixProject}"),
    PROJECT_GETALL("/Project/"),
    PROJECT_DELETE("/Project/{ixProject}/Delete"),
    PROJECT_EDIT("/Project/{ixProject}"),
    PERSON_GETALL("/Person"),
    PERMISSONS_PROJECT("/Project/{ixProject}/Permissions"),
    PERMISSONS_PROJECT_EDIT("/Project/{ixProject}/Permissions/CreateOrUpdate"),
    PERMISSONS_PROJECT_DELETE("/Project/{ixProject}/Permissions/Delete"),
    PERMISSONS_REPO("/Repo/{ixProject}/Permissions"),
    PERMISSONS_REPO_EDIT("/Repo/{ixProject}/Permissions/CreateOrUpdate"),
    PERMISSONS_REPO_DELETE("/Repo/{ixProject}/Permissions/Delete"),
    REPO_CREATE("/Repo/Create"),
    REPO_GET("/Repo/{ixRepo}"),
    REPO_EDIT("/Repo/{ixRepo}"),
    REPO_DELETE("/Repo/{ixRepo}/Delete"),
    REPO_OUTGOING("/Repo/{ixRepo}/Outgoing"),
    REPO_PUSH("/Repo/{ixRepo}/Push/{ixTargetRepo}"),
    REPO_HISTORY("/Repo/{ixRepo}/History"),
    REPO_REVISIONHISTORY("/Repo/{ixRepo}/History/{rev}"),
    REPO_GETFILE("/Repo/{ixRepo}/File/{bpPath}"),
    REPO_RELATED("/Repo/Related"),
    REPO_RELATEDTOREPO("/Repo/{ixRepo}/Related"),
    REPO_MANIFEST("/Repo/{ixRepo}/Manifest"),
    REPOALIAS_CREATE("/RepoAlias/Create"),
    REPOALIAS_GET("/RepoAlias/{ixRepoAlias}"),
    REPOALIAS_EDIT("/RepoAlias/{ixRepoAlias}"),
    REPOALIAS_DELETE("/RepoAlias/{ixRepoAlias}/Delete"),
    REPOALIAS_FIND("/RepoAlias/Find"),
    REPOGROUP_CREATE("/RepoGroup/Create"),
    REPOGROUP_GET("/RepoGroup/{ixRepoGroup}"),
    REPOGROUP_EDIT("/RepoGroup/{ixRepoGroup}"),
    REPOGROUP_DELETE("/RepoGroup/{ixRepoGroup}/Delete"),
    REVIEW_CREATE("/Review/Create"),
    REVIEW_GET("/Review/{ixReview}"),
    REVIEW_EDIT("/Review/{ixReview}"),
    REVIEW_GETALL("/Reviews/");
    private String snippet;

    private KilnResource(String res) {
        this.snippet = res;
    }

    public String getSnippet() {
        return snippet;
    }
}
